# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs     0
%else
%define build_docs     1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 2

%define qttarballdir     qtdatavis3d-everywhere-opensource-src-%{qtversion}

# Library names

%define libqtdatavis3d   %mklibname qt%{qtmajor}datavisualization %{qtmajor}
%define libqtdatavis3d_d %mklibname qt%{qtmajor}datavisualization -d

Name:           qtdatavis3d5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} 3D Data Visualization component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Multimedia) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}

Provides:       qt%{qtmajor}-qtdatavis3d = %{version}-%{release}

%description
Qt%{qtmajor} 3D Data Visualization component.

%files
%{_qt5_qml}/QtDataVisualization/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtDataVis3D%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtDataVis3D%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtdatavis3d.qch
%{_qt5_docdir}/qtdatavisualization/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtdatavis3d}
Summary:        Qt%{qtmajor} 3D Data Visualization Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtdatavis3d}
Qt%{qtmajor} 3D Data Visualization Component Library.

%files -n %{libqtdatavis3d}
%{_qt5_libdir}/libQt5DataVisualization.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtdatavis3d_d}
Summary:        Devel files needed to build apps based on QtDataVis3D
Group:          Development/KDE and Qt
Requires:       %{libqtdatavis3d} = %{version}
Provides:       libqtdatavis3d5-devel = %{version}
Provides:       libqt5datavis3d-devel = %{version}
Provides:       qtdatavis3d5-devel = %{version}
Provides:       qt5datavis3d-devel = %{version}

%description -n %{libqtdatavis3d_d}
Devel files needed to build apps based on Qt DataVis3D.

%files -n %{libqtdatavis3d_d}
%{_qt5_includedir}/QtDataVisualization/
%{_qt5_libdir}/libQt5DataVisualization.so
%{_qt5_libdir}/pkgconfig/Qt5DataVisualization.pc
%{_qt5_libdir}/cmake/Qt5DataVisualization/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/datavisualization/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtdatavis3d-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 5.15.16-2.mga10
+ Revision: 2234025
- Mageia 10 Mass Rebuild

* Sat Jan 18 2025 daviddavid <daviddavid> 5.15.16-1.mga10
+ Revision: 2139631
- New version 5.15.16

* Tue Jan 09 2024 neoclust <neoclust> 5.15.12-1.mga10
+ Revision: 2029317
- New version 5.15.12

* Sat Dec 03 2022 neoclust <neoclust> 5.15.7-1.mga9
+ Revision: 1915388
- New version 5.15.7

* Thu Sep 08 2022 neoclust <neoclust> 5.15.6-1.mga9
+ Revision: 1885944
- New version 5.15.6

* Sat Aug 27 2022 neoclust <neoclust> 5.15.5-1.mga9
+ Revision: 1881060
- New version 5.15.5

* Wed Apr 06 2022 umeabot <umeabot> 5.15.2-2.mga9
+ Revision: 1845809
- Mageia 9 Mass Rebuild

* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652449
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624902
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589814
- New version 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545486
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484390
- New version 5.14.1

* Mon Sep 09 2019 daviddavid <daviddavid> 5.13.1-2.mga8
+ Revision: 1438758
- rebuild for arm

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438480
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421138
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418152
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384361
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378530
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362275
- New version 5.12.1

* Sun Dec 09 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1339130
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319019
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300698
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245806
- New version 5.11.1

* Fri May 25 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232105
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216500
- New version 5.10.1

* Thu Mar 01 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205849
- New version 5.9.4

* Sat Dec 30 2017 daviddavid <daviddavid> 5.9.3-1.mga7
+ Revision: 1187569
- New version 5.9.3
+ neoclust <neoclust>
- New version 5.9.3

* Wed Aug 09 2017 daviddavid <daviddavid> 5.9.1-1.mga7
+ Revision: 1139447
- initial package qtdatavis3d5

